Package: org.gmetrics.metric.coverage

## [Groovy] Class Ratio

- org.gmetrics.metric.coverage.Ratio

- Represents a simple ratio of X / Y

  Authors:
    Chris Mair

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static def` | `ZERO` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `denominator`
    `int` | `numerator`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Ratio (int numerator, int denominator)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `asType(Class theClass)`
    `` | `Ratio` | `plus(Ratio ratio)`
    `` | `BigDecimal` | `toBigDecimal(int scale, int roundingMode)`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final def ZERO

  - ### Property Detail

    - #### final int denominator

    - #### final int numerator

  - ### Constructor Detail

    - #### Ratio(int numerator, int denominator)

  - ### Method Detail

    - #### Object asType(Class theClass)

    - #### Ratio plus(Ratio ratio)

    - #### BigDecimal toBigDecimal(int scale, int roundingMode)

    - #### @Override String toString()